package com.ynet.life.sujrb.base;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.session.Session;
import com.ynet.gene.web.servlet.ModelAndView;
import com.ynet.gene.web.servlet.mvc.GENERequestController;
import com.ynet.gene.web.taskInfo.TaskGroup;
import com.ynet.gene.web.taskInfo.TaskInfo;
import com.ynet.gene.web.taskInfo.TaskInfoProvider;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.MVCEntity;
import com.ynet.life.base.TEntity;
import com.ynet.life.exception.TranFailException;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_sujrb_base.jar:com/ynet/life/sujrb/base/SUJRBTaskInfoJSONController.class */
public class SUJRBTaskInfoJSONController extends GENERequestController {
    protected boolean isInit = false;
    private String helpWebContext = null;
    private String advertWebContext = null;
    protected TaskInfoProvider taskInfoProvider = null;
    private String name;
    private String userIdField;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v18 */
    /* JADX WARN: Type inference failed for: r0v19, types: [java.lang.Throwable] */
    /* JADX WARN: Type inference failed for: r0v21, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v31, types: [com.ynet.life.sujrb.base.SUJRBTaskInfoJSONController] */
    public ModelAndView doRequest(HttpServletRequest request, HttpServletResponse response) {
        if (this.openMonitor) {
            this.accessInfo.newAccess();
        }
        if (!this.isInit) {
            ?? r0 = this;
            synchronized (r0) {
                r0 = this.isInit;
                if (r0 == 0) {
                    try {
                        String rootPath = (String) request.getAttribute(GENEConstance.ATTR_ROOTPATH);
                        this.taskInfoProvider.initializeFrom(rootPath);
                        r0 = this;
                        r0.isInit = true;
                    } catch (Exception e) {
                        GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "Failed to initialize taskinfo!", e);
                        outputContent(response, "Internal error!");
                        return null;
                    }
                }
            }
        }
        response.addHeader("Cache-Control", "no-cache");
        response.addHeader("Content-Type", "application/x-javascript");
        request.getParameter("cmd");
        try {
            getSessionManager().getSession(request, response, false);
        } catch (Exception unused) {
        }
        if (this.taskInfoProvider == null) {
            outputContent(response, "Internal error!");
            GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "TaskInfoProvider not initialize for TaskInfoController!");
            return null;
        }
        doGetTaskTree(request, response);
        return null;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v6, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v9, types: [com.ynet.life.cache.Cache] */
    private void doGetTaskTree(HttpServletRequest request, HttpServletResponse response) {
        MVCEntity mvcEntity;
        String appKey = request.getParameter(TEntity.appKeyFieldname);
        Context context = null;
        String cacheServiceFlag = LifeStandard.getSelfDefineSettingsValue("cacheServiceFlag");
        TranFailException equals = "true".equals(cacheServiceFlag);
        if (equals != 0) {
            try {
                equals = LifeStandard.getCache("sessionData_cache");
                mvcEntity = (MVCEntity) equals.get(appKey);
            } catch (TranFailException e) {
                equals.printStackTrace();
                return;
            }
        } else {
            Session session = (Session) this.sessionManager.getSessions().get(appKey);
            mvcEntity = (MVCEntity) session.getAttribute(appKey);
            context = (Context) session.getAttribute(GENEConstance.ATTR_CONTEXT);
        }
        String roleId = mvcEntity.getRoleId();
        List childs = this.taskInfoProvider.getTaskInfos(context, roleId, (String) null);
        if (childs == null) {
            outputContent(response, "Internal error!");
            GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "TaskInfoProvider return null for ");
            return;
        }
        StringBuffer buf = new StringBuffer("{");
        buf.append("\"ec\":\"").append("\",");
        buf.append("\"em\":\"").append("\",");
        buf.append("\"cd\":{\n");
        buf.append("\"TaskModel\":[");
        buildTaskTree(childs, buf, request, response);
        buf.append("]\n");
        buf.append("}\n");
        buf.append("}\n");
        outputContent(response, buf.toString());
    }

    private String encodeURL(HttpServletRequest request, HttpServletResponse response, String url) {
        if (this.sessionManager != null) {
            return this.sessionManager.encodeURL(request, response, url, "GET");
        }
        return response.encodeURL(url);
    }

    private void buildTaskTree(List childs, StringBuffer buf, HttpServletRequest request, HttpServletResponse response) {
        Session session = this.sessionManager.getSession(request, response, false);
        if (session != null) {
            session.getAttribute(GENEConstance.ATTR_CONTEXT);
        }
        for (int i = 0; i < childs.size(); i++) {
            Object obj = childs.get(i);
            if (obj instanceof TaskGroup) {
                TaskGroup group = (TaskGroup) obj;
                buf.append("\n{\"id\":\"");
                buf.append(group.getId());
                buf.append("\" ");
                String label = group.getName();
                String label2 = getResourceValue(request, label);
                buf.append(",\"name\":\"");
                buf.append(label2);
                buf.append("\" ");
                String url = group.getAction();
                if (url != null) {
                    buf.append(",\"action\":\"");
                    buf.append(normalizeTextValue(url));
                    buf.append("\" ");
                }
                String target = group.getTarget();
                if (target != null) {
                    buf.append(",\"target\":\"");
                    buf.append(target);
                    buf.append("\" ");
                }
                if (group.getChilds() != null && group.getChilds().size() > 0) {
                    buf.append(",\"child\":[");
                    buildTaskTree(group.getChilds(), buf, request, response);
                    if (i == childs.size() - 1) {
                        buf.append("\n]}");
                    } else {
                        buf.append("\n]},");
                    }
                } else if (i == childs.size() - 1) {
                    buf.append("}");
                } else {
                    buf.append("},");
                }
            } else if (obj instanceof TaskInfo) {
                TaskInfo task = (TaskInfo) obj;
                buf.append("\n{\"id\":\"");
                buf.append(task.getId());
                buf.append("\" ");
                String url2 = task.getAction();
                buf.append(",\"action\":\"");
                buf.append(normalizeTextValue(url2));
                buf.append("\" ");
                String label3 = task.getName();
                String label4 = getResourceValue(request, label3);
                buf.append(",\"name\":\"");
                buf.append(label4);
                buf.append("\" ");
                String target2 = task.getTarget();
                if (target2 != null) {
                    buf.append(",\"target\":\"");
                    buf.append(target2);
                    buf.append("\" ");
                }
                if (i == childs.size() - 1) {
                    buf.append("}");
                } else {
                    buf.append("},");
                }
            }
        }
    }

    private void outputContent(HttpServletResponse response, String content) {
        try {
            response.getOutputStream().write(content.getBytes("UTF-8"));
        } catch (Exception e) {
            GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "Failed to output taskInfo content.", e);
        }
    }

    public String getName() {
        return this.name;
    }

    public void setName(String value) {
        this.name = value;
    }

    public void setId(String value) {
        this.name = value;
    }

    public long getLastModified(HttpServletRequest request) {
        return -1L;
    }

    public void initialize() {
    }

    public TaskInfoProvider getTaskInfoProvider() {
        return this.taskInfoProvider;
    }

    public void setTaskInfoProvider(TaskInfoProvider taskInfoProvider) {
        this.taskInfoProvider = taskInfoProvider;
    }

    public String getUserIdField() {
        return this.userIdField;
    }

    public void setUserIdField(String userIdField) {
        this.userIdField = userIdField;
    }

    public String getAdvertWebContext() {
        return this.advertWebContext;
    }

    public void setAdvertWebContext(String advertWebContext) {
        this.advertWebContext = advertWebContext;
    }

    public String getHelpWebContext() {
        return this.helpWebContext;
    }

    public void setHelpWebContext(String helpWebContext) {
        this.helpWebContext = helpWebContext;
    }

    protected String normalizeTextValue(String s) {
        StringBuffer str = new StringBuffer();
        int len = s != null ? s.length() : 0;
        for (int i = 0; i < len; i++) {
            char ch = s.charAt(i);
            switch (ch) {
                case '\"':
                    str.append("&quot;");
                    break;
                case '&':
                    str.append("&amp;");
                    break;
                case '<':
                    str.append("&lt;");
                    break;
                case '>':
                    str.append("&gt;");
                    break;
                default:
                    str.append(ch);
                    break;
            }
        }
        return str.toString();
    }
}
